Bug 242785 - [NEW PORT] www/py-flask-mongoengine: Flask extension that provides integration with MongoEngine
Summary: [NEW PORT] www/py-flask-mongoengine: Flask extension that provides integratio...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks: 242617
  Show dependency treegraph
 
Reported: 2019-12-21 23:39 UTC by Goran Mekić
Modified: 2020-01-11 12:17 UTC (History)
2 users (show)

See Also:


Attachments
py-flas-mongoengine.diff (2.73 KB, patch)
2019-12-21 23:39 UTC, Goran Mekić
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2019-12-21 23:39:27 UTC
Created attachment 210120 [details]
py-flas-mongoengine.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.0, amd64 tested)
  * maketest: OK (37 tests PASS)
Comment 1 Ben Woods freebsd_committer 2019-12-24 06:02:01 UTC
Note that this is not required if using GitHub (I will remove it):
MASTER_SITES=	CHEESESHOP
Comment 2 Ben Woods freebsd_committer 2019-12-24 06:04:46 UTC
I will make the following change:
-GH_TAGNAME=	v${PORTVERSION}
+DISTVERSIONPREFIX=	v

This will also fix the distinfo file after "make makesum":
-SHA256 (MongoEngine-flask-mongoengine-0.9.5-v0.9.5_GH0.tar.gz) = af9122fbb1c516fe12e7afcae1f87d18ba0f3c846e927a2270b2e78d420d309d
-SIZE (MongoEngine-flask-mongoengine-0.9.5-v0.9.5_GH0.tar.gz) = 120281
+SHA256 (MongoEngine-flask-mongoengine-v0.9.5_GH0.tar.gz) = af9122fbb1c516fe12e7afcae1f87d18ba0f3c846e927a2270b2e78d420d309d
+SIZE (MongoEngine-flask-mongoengine-v0.9.5_GH0.tar.gz) = 120281
Comment 3 Ben Woods freebsd_committer 2019-12-24 06:51:50 UTC
I'm getting the following build error with poudriere testport:
=======================<phase: configure      >============================
===>   py37-flask-mongoengine-0.9.5 depends on package: py37-setuptools>0 - found
===>   py37-flask-mongoengine-0.9.5 depends on file: /usr/local/bin/python3.7 - found
===>  Configuring for py37-flask-mongoengine-0.9.5
Download error on https://pypi.org/simple/rednose/: [Errno 8] Name does not resolve -- Some packages may not be found!
Couldn't find index page for 'rednose' (maybe misspelled?)
Download error on https://pypi.org/simple/: [Errno 8] Name does not resolve -- Some packages may not be found!
No local packages or working download links found for rednose
Comment 4 Ben Woods freebsd_committer 2019-12-24 08:01:21 UTC
(In reply to Ben Woods from comment #3)
The below patch appears to fix this build error:

--- setup.py.orig       2019-12-24 07:50:35 UTC
+++ setup.py
@@ -53,7 +53,7 @@ setup(
               'flask_mongoengine.wtf'],
     include_package_data=True,
     tests_require=test_requirements,
-    setup_requires=test_requirements,  # Allow proper nose usage with setuptools and tox
+    # setup_requires=test_requirements,  # Allow proper nose usage with setuptools and tox
     description=description,
     long_description=long_description,
     classifiers=[
Comment 5 commit-hook freebsd_committer 2019-12-24 08:03:32 UTC
A commit references this bug:

Author: woodsb02
Date: Tue Dec 24 08:03:21 UTC 2019
New revision: 520785
URL: https://svnweb.freebsd.org/changeset/ports/520785

Log:
  Add new port www/py-flask-mongoengine

  Flask extension that provides integration with MongoEngine. It handles
  connection management for your app.  You can also use WTForms as model forms
  for your models.

  WWW: https://github.com/mongoengine/flask-mongoengine

  PR:		242785
  Submitted by:	Goran Meki? <meka@tilda.center>

Changes:
  head/www/Makefile
  head/www/py-flask-mongoengine/
  head/www/py-flask-mongoengine/Makefile
  head/www/py-flask-mongoengine/distinfo
  head/www/py-flask-mongoengine/files/
  head/www/py-flask-mongoengine/files/patch-setup.py
  head/www/py-flask-mongoengine/pkg-descr
Comment 6 Ben Woods freebsd_committer 2019-12-24 08:04:08 UTC
Committed - thanks!